package com.gh.gamecenter.eventbus;

import com.gh.common.util.CollectionUtils;

public class EBCollectionChanged {

    private String id;

    private boolean isColleciton;

    private CollectionUtils.CollectionType collectionType;

    public EBCollectionChanged(String id, boolean isColleciton, CollectionUtils.CollectionType collectionType) {
        this.id = id;
        this.isColleciton = isColleciton;
        this.collectionType = collectionType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public boolean isColleciton() {
        return isColleciton;
    }

    public void setColleciton(boolean colleciton) {
        isColleciton = colleciton;
    }

    public CollectionUtils.CollectionType getCollectionType() {
        return collectionType;
    }

    public void setCollectionType(CollectionUtils.CollectionType collectionType) {
        this.collectionType = collectionType;
    }
}
